Duplicate Company
curl --request POST \
--url https://api.getoutbox.ai/settings/company/duplicate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"agency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getoutbox.ai/settings/company/duplicate/"
payload = {
"company_name": "<string>",
"agency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_name: '<string>', agency_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.getoutbox.ai/settings/company/duplicate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Company Settings
Duplicate Company
Create a new company under a destination agency by cloning the authenticated user’s company — config values, private apps, module instances, schedules, custom fields, agents, phone numbers, and SES senders are copied. Caller must be an admin of the destination agency (or its parent enterprise).
POST
/
settings
/
company
/
duplicate
/
Duplicate Company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Company duplicated under the destination agency.
⌘I

